Drop possessive in personal tools
Closed, ResolvedPublic

Description

Imagine no possessions

The insistent drilling of the possessive into each label in the user toolbar ("My talk / My sandbox / My preferences") is silly. It takes a moment of quiet staring to see it, but once you do there's no going back. I can't quite decide if it's touchingly naive or just obnoxious; Either way, the toolbar is better without them.


Version: unspecified
Severity: normal
URL: https://www.mediawiki.org/wiki/Personal_tools

Attached:

bzimport added projects: MediaWiki-Interface, Easy.Via ConduitNov 22 2014, 1:05 AM
bzimport set Reference to bz41672.
ori created this task.Via LegacyNov 2 2012, 5:33 AM
Isarra added a comment.Via ConduitNov 2 2012, 5:58 AM

This specifically applies to English and a few other languages. Many others already have no possessives in the personal menu, or only one or two as more appropriate to the terms themselves.

MZMcBride added a comment.Via ConduitNov 2 2012, 6:32 AM

This is trivial to implement, of course, but it needs a discussion on (or at least a notification to) wikitech-l, I think.

For anyone who wants to work on this bug, I'd recommend committing a changeset to Gerrit and then e-mailing wikitech-l with a link to the changeset for comments. If nobody objects, the changeset can be merged into the repository.

bzimport added a comment.Via ConduitNov 2 2012, 5:21 PM

swalling wrote:

Great idea and sound rationale, but MZ is right we should discuss this further.

However, I don't think wikitech-l is the right place. I would prefer we start a discussion with docs on MediaWiki.org, and include both the tech list and the design list for any necessary announcements (this is rather the reason we pay designers).

bzimport added a comment.Via ConduitNov 2 2012, 6:00 PM

swalling wrote:

Turns out I couldn't find any docs about the personal tools on mediawiki.org, so started https://www.mediawiki.org/wiki/Personal_tools which may be appropriate as discussion space.

Jorm added a comment.Via ConduitNov 2 2012, 6:18 PM

Kill it with fire.

I agree that having the possessive is clutter and not necessary. It's also the *wrong* possessive:

Jorm added a comment.Via ConduitNov 2 2012, 6:18 PM

Dammit. Meant to include this:

		http://www.designingsocialinterfaces.com/patterns.wiki/index.php?title=Your_vs._My
		http://ux.stackexchange.com/questions/4348/your-vs-my-in-user-interfaces
		http://developer.yahoo.com/ypatterns/social/core/yourvmy.html
MZMcBride added a comment.Via ConduitNov 2 2012, 6:53 PM

(In reply to comment #4)

Turns out I couldn't find any docs about the personal tools on mediawiki.org,
so started https://www.mediawiki.org/wiki/Personal_tools which may be
appropriate as discussion space.

Nice start. :-)

I think the purpose/scope of the page is currently a bit murky, though. In my opinion, the page is leaning toward being a [[mw:Requests for comment]] subpage (it feels more like a temporary design document used to explain an upcoming change to the software), but could also be turned into a Manual page (where it would provide general help to end users regarding personal tools). Ideally we'd have both types of pages, but not in a single document.

Seb35 added a comment.Via ConduitNov 2 2012, 7:02 PM

Agreed for most links, I just point out it can be confusing for 'My talk [page]' → 'Talk' because of the Talk page of the articles.

Isarra added a comment.Via ConduitNov 2 2012, 7:04 PM

(In reply to comment #8)

Agreed for most links, I just point out it can be confusing for 'My talk
[page]' → 'Talk' because of the Talk page of the articles.

Àye, some are a little more ambiguous than others, but the context should make it more clear what they are regardless, especially with that little icon there.

Parent5446 added a comment.Via ConduitNov 2 2012, 8:52 PM

I agree with dropping the possessive. So long as it's implicit that the preferences are in fact the user's own preferences (which they must be since you cannot edit another user's preferences), the "my" is almost redundant.

Krinkle added a comment.Via ConduitNov 2 2012, 9:06 PM

For the record, Dutch WMF projects have overridden these messages for quite some time, dropping the (Dutch equivalent of) "my" prefix of the labels.

https://nl.wikipedia.org/w/index.php?title=Speciaal%3AAlleBerichten&prefix=My&filter=all&lang=nl&limit=50

MZMcBride added a comment.Via ConduitNov 2 2012, 10:31 PM

(In reply to comment #11)

For the record, Dutch WMF projects have overridden these messages for quite
some time, dropping the (Dutch equivalent of) "my" prefix of the labels.

https://nl.wikipedia.org/w/index.php?title=Speciaal%3AAlleBerichten&prefix=My&filter=all&lang=nl&limit=50

Right. And local projects may ultimately customize the other way (adding "my" to local MediaWiki messages), but I think the focus of this bug should be the MediaWiki default. I think you think so as well, just making this explicit. :-)

Krinkle added a comment.Via ConduitNov 3 2012, 7:18 AM

(In reply to comment #12)

(In reply to comment #11)
> For the record, Dutch WMF projects have overridden these messages for quite
> some time, dropping the (Dutch equivalent of) "my" prefix of the labels.
>
> https://nl.wikipedia.org/w/index.php?title=Speciaal%3AAlleBerichten&prefix=My&filter=all&lang=nl&limit=50

Right. And local projects may ultimately customize the other way (adding "my"
to local MediaWiki messages), but I think the focus of this bug should be the
MediaWiki default. I think you think so as well, just making this explicit. :-)

I am proving support for this change by showing that the nl-projects have already dropped the possessive portion of the labels on their own wikis for several years.

Nikerabbit added a comment.Via ConduitNov 3 2012, 8:07 AM

Here is the link as well: https://gerrit.wikimedia.org/r/31605

Platonides added a comment.Via ConduitNov 3 2012, 3:15 PM

(In reply to comment #9)

(In reply to comment #8)
> Agreed for most links, I just point out it can be confusing for 'My talk
> [page]' → 'Talk' because of the Talk page of the articles.

Àye, some are a little more ambiguous than others, but the context should make
it more clear what they are regardless, especially with that little icon there.

Don't take things for granted. You, me and most wikipedians will immediately know what it is. But for random people, the concept of a user having a talk page is odd, so the «My» may be helping.

MZMcBride added a comment.Via ConduitNov 3 2012, 3:44 PM

(In reply to comment #13)

I am proving support for this change by showing that the nl-projects have
already dropped the possessive portion of the labels on their own wikis for
several years.

I'm not sure this bug (or gerrit change 31605) will extend outside of English.

ori added a comment.Via ConduitNov 4 2012, 9:18 AM

Created attachment 11297
Proposed alteration of link to talk page in personal toolbar

Gerrit change 31728 completes the change, altering "Foopedian Talk Preferences Watchlist (...)" => "Foopedian (talk) Preferences Watchlist (...)"

Attached:

Jarry1250 added a comment.Via ConduitNov 4 2012, 3:50 PM

Is it worth considering "Messages" instead of "talk" if we're dropping "My"? I realise "Messages" has become associated with LQT, but really a user talkpage is just a collection of messages to the user, and every newbie I've talked to thinks of them that way.

Just my 2c.

Jdforrester-WMF added a comment.Via ConduitNov 4 2012, 4:49 PM

"Messages" is currently used by LQT and will soon be used by the Messages work (a.k.a. "Flow"); let's not pollute this name. :-)

Jarry1250 added a comment.Via ConduitNov 4 2012, 4:54 PM

(In reply to comment #19)

"Messages" is currently used by LQT and will soon be used by the Messages work
(a.k.a. "Flow"); let's not pollute this name. :-)

Precisely *because* it's such a good name. We've been discussing LQT for literally ages, and even if we think Flow's going to deployed at some point in the future, then it's going to be a replacement for talk pages, not going to a confusing dual-system (at least I hope not). In the meantime, why should we be put of using "messages"? I don't buy it.

Jdforrester-WMF added a comment.Via ConduitNov 4 2012, 4:56 PM

For the mean time whilst we're developing Messaging, we're not going to be switching off NS_USER_TALK; merging the two concepts before the software is developed is unhelpful. Once Messaging is complete and deployed everywhere, then we might want to merge the two links.

Jarry1250 added a comment.Via ConduitNov 4 2012, 5:05 PM

(In reply to comment #21)

For the mean time whilst we're developing Messaging, we're not going to be
switching off NS_USER_TALK; merging the two concepts before the software is
developed is unhelpful. Once Messaging is complete and deployed everywhere,
then we might want to merge the two links.

Are, so Flow and user talk are going to run in parallel? How will that work? I can see that Flow notifications + user talk pages works as an intermediary, but are we really going to have two user messaging systems running in parallel?

Jdforrester-WMF added a comment.Via ConduitNov 4 2012, 5:09 PM

Not long-term, but I can't imagine we'd want to destroy the entire user talk page system on MWwiki or wherver when we start. However, we're not starting work on Messaging until January, so honestly I don't know at this point. I just want to avoid making things confusing in the mean-time.

Jarry1250 added a comment.Via ConduitNov 4 2012, 5:17 PM

Having it as " (talk)" rather than "Messages" avoids one kind of confusion (down the line, one might have two messaging systems run in parallel) at the expense of the other (users being completely confused at to where they pick up the messages people have sent to them.

To expand somewhat, "talk" is an active verb, and "(talk)" is clearly used throughout the interface as a way of saying "click here to send a message to Y". I don't think it's obvious at all to newer users that you would click on that to read messages sent to that user (i.e. "me"). Even "My talk" was less cryptic in that respect, because implied that the target was a thing that you had control over.

Imagine sitting down with a new user. You ask them to find the note about copyright issues you sent them last Thursday. Would they be more likely to click "My talk", "(talk)" or "Messages"?

Jorm added a comment.Via ConduitNov 4 2012, 5:31 PM

Unfortunately, there are many, many instances where users are instructed "leave a message on my talk page" or "you've got a new message on your talk page". This was one of the reasons for the switch from "Discussion" back to "Talk".

Until there's a new framework, we should leave it as is.

This bug is not the best place to discuss Flow or its plans; this bug is for discussing possessives in labels.

Jarry1250 added a comment.Via ConduitNov 4 2012, 5:35 PM

(In reply to comment #25)

Unfortunately, there are many, many instances where users are instructed "leave
a message on my talk page" or "you've got a new message on your talk page".
This was one of the reasons for the switch from "Discussion" back to "Talk".

Until there's a new framework, we should leave it as is.

This bug is not the best place to discuss Flow or its plans; this bug is for
discussing possessives in labels.

Fair enough, we can leave the discussion for another time. But in any case, I would contend that "My talk" is substantially clearer than "(talk)" or simply "Talk".

Isarra added a comment.Via ConduitNov 4 2012, 5:36 PM

(In reply to comment #25)

Unfortunately, there are many, many instances where users are instructed "leave
a message on my talk page" or "you've got a new message on your talk page".
This was one of the reasons for the switch from "Discussion" back to "Talk".

Perhaps the label should say 'Talk page' instead of just 'Talk'.

matmarex added a comment.Via ConduitNov 4 2012, 5:39 PM

I agree with Jarry.

This change has been done in the Polish translation of MW a long time ago (in fact, I don't remember the possessive ever being there), with the exception of "my talk" and "my contributions", for which the possessive was kept.

bzimport added a comment.Via ConduitNov 5 2012, 3:47 PM

clement wrote:

it's touchingly naive or just obnoxious

It's also the *wrong* possessive

I agree these logical points to remove possessives.

But remember that the possessive MIGHT be:

  • Adding some information to the link. ie. Saying "This is yours" is helping users understand.
  • Bringing a "user friendly"/"commercial" sound. ie. Saying "This is yours" is making the wiki more personal/closer to the users.

On the other hand, the french version has no possessive, but it would sound very cheesy in French. So that's also an i18n issue.

Jdforrester-WMF added a comment.Via ConduitNov 5 2012, 11:15 PM

Code change merged and presumably will be deployed from wmf4 branch: https://gerrit.wikimedia.org/r/#/c/31605/

Aklapper added a comment.Via ConduitNov 9 2012, 10:49 AM

Wondering if this makes bug 17975 a WONTFIX?

Krinkle added a comment.Via ConduitNov 9 2012, 1:16 PM

(In reply to comment #31)

Wondering if this makes bug 17975 a WONTFIX?

I think it is more the opposite. It becomes are more significant problem. Special:SpecialPage listings contain pages that take page specific and user specific parameters (like Special:WhatLinksHere and Special:Contributions), but also things that are context specific for the current user (like Special:Preferences and ChangePassword).

In the current way there is still a need to have these be clarified which are and aren't personal.

MZMcBride added a comment.Via ConduitNov 24 2012, 11:15 PM

Follow-up bug: bug 42337 ("[Regression] Links to userpage and usertalk are in the wrong order in RTL language").

Follow-up change: https://gerrit.wikimedia.org/r/34849.

Jarry1250 added a comment.Via ConduitNov 25 2012, 1:59 AM

For the record, having tried this out, I agree with the change -- it's a good 'un. Sorry to be a nuisance before; I guess it's difficult to appreciate the full effect of things before you've had time to assimilate them.

matmarex added a comment.Via ConduitNov 26 2012, 10:58 PM

Reopening. The merging of user page and talk links has been basically reverted with gerrit change 35027 (another follow-up to Ori's changeset) due to RTL issues.

bzimport added a comment.Via ConduitNov 26 2012, 11:10 PM

swalling wrote:

Not sure there's a need to reopen this, since the RTL/parenthetical issue is described in a separate bug, and the heart of the change here (dropping the "my" is still in place).

MZMcBride added a comment.Via ConduitNov 26 2012, 11:58 PM

(In reply to comment #36)

Not sure there's a need to reopen this, since the RTL/parenthetical issue is
described in a separate bug, and the heart of the change here (dropping the
"my" is still in place).

Agreed. Let's keep this bug focused on the "My" text and let's use bug 42337 to focus on the "Username (talk)" text. Marking this bug as resolved/fixed again, accordingly.

Add Comment